curl -X GET "https://app.cotool.ai/api/skills" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"requiredTools": [
"<string>"
],
"userId": "<string>",
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"source": {
"type": "user-generated"
},
"updatedByUserId": "<string>",
"createdBy": {
"name": "<string>",
"imageUrl": "<string>"
},
"updatedBy": {
"name": "<string>",
"imageUrl": "<string>"
},
"displayName": "<string>",
"usedByAgentCount": 123,
"invocationCount30d": 123,
"currentVersion": 123
}
]{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}List skills
List all active skills in the organization.
curl -X GET "https://app.cotool.ai/api/skills" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"requiredTools": [
"<string>"
],
"userId": "<string>",
"createdByUserId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"source": {
"type": "user-generated"
},
"updatedByUserId": "<string>",
"createdBy": {
"name": "<string>",
"imageUrl": "<string>"
},
"updatedBy": {
"name": "<string>",
"imageUrl": "<string>"
},
"displayName": "<string>",
"usedByAgentCount": 123,
"invocationCount30d": 123,
"currentVersion": 123
}
]{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Query Parameters
"true"Response
Successful response
Unique identifier for the skill
Unique identifier of the organization that owns this skill
Machine-safe skill name used in sandbox paths and imports
1 - 64^[a-z0-9]+(?:-[a-z0-9]+)*$Description of what this skill teaches an agent to do
Optional required tool types for this skill
User ID that owns this user-scoped skill, or null for organization skills
User ID that created this skill, or null for system-created records
Timestamp when the skill was created
Timestamp when the skill was last updated
Timestamp when the skill was soft-deleted, or null if active
Origin and ownership semantics for this skill
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
User ID that last edited this skill, or null for system edits or unknown authorship
Display identity of the user that created this skill
Show child attributes
Show child attributes
Display identity of the user that last edited this skill
Show child attributes
Show child attributes
Human-readable skill name when it differs from the machine-safe name
How many agents currently use this skill
Distinct chats in the last 30 days where an agent read this skill from the sandbox
Current version number of this skill
Was this page helpful?